Bug 107731 - Default red font color and yellow highlight color no long in default color palette
Summary: Default red font color and yellow highlight color no long in default color pa...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.4.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.5.0 target:5.4.0.1
Keywords:
Depends on:
Blocks: Color-Picker-Widget
  Show dependency treegraph
 
Reported: 2017-05-09 18:28 UTC by Yousuf Philips (jay) (retired)
Modified: 2017-05-26 20:07 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2017-05-09 18:28:48 UTC
The yellow (#ffff00) highlight color and dark red (#800000) font color used as defaults in the split buttons in the formatting toolbar are no longer in the new default color palette. The new color palette has yellow as #fff200 and the closest dark red is #94070a.

Is this an issue that needs to be addressed or is it fine as is? This came to mind because i opened a document that had #ffff00 highlighting and went to the character dialog's highlight tab and the yellow in the palette wasnt selected and for a second i thought that there was a bug in the tab auto selecting the yellow color.
Comment 1 Heiko Tietze 2017-05-18 08:01:29 UTC
Would be nice to have color names for default options. So we should change the picker to fff200 and the other.
Comment 2 Yousuf Philips (jay) (retired) 2017-05-18 08:28:36 UTC
@Maxim, @Regina: Do you know where these colors are hard coded?
Comment 3 Maxim Monastirsky 2017-05-18 11:02:12 UTC
(In reply to Yousuf Philips (jay) from comment #2)
> @Maxim, @Regina: Do you know where these colors are hard coded?

http://opengrok.libreoffice.org/xref/core/svx/source/tbxctrls/tbxcolorupdate.cxx#41
Comment 4 Heiko Tietze 2017-05-18 12:36:05 UTC
(In reply to Maxim Monastirsky from comment #3)
> http://opengrok.libreoffice.org/xref/core/svx/source/tbxctrls/tbxcolorupdate.
> cxx#41

Would opengrok.libreoffice.org/xref/core/include/tools/colordata.hxx be also relevant for chart graphics? Talking about bug 106534.
Comment 5 Yousuf Philips (jay) (retired) 2017-05-18 18:34:49 UTC
(In reply to Heiko Tietze from comment #1)
> Would be nice to have color names for default options. So we should change
> the picker to fff200 and the other.

Seems they are assigned based on a color name variable. So i checked to make sure compatibility wont be affected, and LO will export fff200 yellow as ffff00 yellow when saving to .docx, but previously saved .odt which used ffff00 yellow will experience slight issues of previous highlights looking different than new highlights.

(In reply to Maxim Monastirsky from comment #3)
> http://opengrok.libreoffice.org/xref/core/svx/source/tbxctrls/tbxcolorupdate.
> cxx#41

So i guess the best option is to create new red and yellow entries that correspond to the new palette in http://opengrok.libreoffice.org/xref/core/include/tools/colordata.hxx, rather than modifying the existing COL_RED and COL_YELLOW values. Right?
Comment 6 Maxim Monastirsky 2017-05-18 18:55:39 UTC
(In reply to Heiko Tietze from comment #4)
> Talking about bug 106534.
Chart series colors are at http://opengrok.libreoffice.org/xref/core/officecfg/registry/schema/org/openoffice/Office/Chart.xcs#30

(In reply to Yousuf Philips (jay) from comment #5)
> So i guess the best option is to create new red and yellow entries that
> correspond to the new palette in
> http://opengrok.libreoffice.org/xref/core/include/tools/colordata.hxx,
> rather than modifying the existing COL_RED and COL_YELLOW values. Right?
Yes. The existing COL_RED and COL_YELLOW are used also in other places.
Comment 7 Yousuf Philips (jay) (retired) 2017-05-21 20:58:14 UTC
So i've put in the patch. https://gerrit.libreoffice.org/37884

Initially i thought to go with Dark Red 3, but it very noticeable around black text, so i was going back and forth between Dark Red 2 and Dark Red 1, and decided on Dark Red 1. Also checked up on what others use as the default color in their font color split button.

MS Word      - Red   #FF0000
WPS/Kingsoft - Blue  #0000FF
Calligra     - Black #000000
WordPerfect  - None (group button)
Abiword      - Black #000000
Comment 8 Commit Notification 2017-05-23 09:49:11 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=318ba58031f656beda5a735d687a0ba991d9d779

tdf#107731 New default red and yellow for font and highlight color

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2017-05-24 10:46:29 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7a32cd3c13d822171a65c955ccbbe6176d76940e&h=libreoffice-5-4

tdf#107731 New default red and yellow for font and highlight color

It will be available in 5.4.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Yousuf Philips (jay) (retired) 2017-05-24 18:11:16 UTC
Would be great if people could test out the red variant that I chose to see if it is the best choice.
Comment 11 Heiko Tietze 2017-05-26 11:45:22 UTC
(In reply to Yousuf Philips (jay) from comment #10)
> Would be great if people could test out the red variant that I chose to see
> if it is the best choice.

The red is a bit brighter which I aesthetically appreciate.
Comment 12 Yousuf Philips (jay) (retired) 2017-05-26 20:07:03 UTC
(In reply to Heiko Tietze from comment #11)
> The red is a bit brighter which I aesthetically appreciate.

Needs to be bright when its around alot of black text, else you wont be able to easily see it. :D